Summary:	Simple GUI for MPlayer
Name:		gnome-mplayer
Version:	1.0.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
URL:		http://kdekorte.googlepages.com/gnomemplayer
Source:		http://gnome-mplayer.googlecode.com/files/%name-%version.tar.gz
Patch0:		gnome-mplayer-fix-str-fmt.patch
Requires:	mplayer
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmtk) >= 1.0.5
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libgpod-1.0)
BuildRequires:	pkgconfig(libmusicbrainz3)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	desktop-file-utils
# Used to determine volume control mode at build-time
BuildRequires:	pkgconfig(libpulse)
# Used to determine power control methods at build-time
BuildRequires:	gnome-power-manager

%description
GNOME MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. GNOME MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of GNOME
MPlayer from a single command.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --enable-gtk3
%make

%install
%makeinstall_std

desktop-file-install --vendor='' \
	--add-category="Audio;Video;GTK;Player;GNOME" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

# zero length docs
find %{buildroot}%{_docdir}/%{name}/ -size 0 | xargs rm -f

%find_lang %{name}

%files -f %{name}.lang
%doc %{_docdir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/apps.gecko-mediaplayer.preferences.gschema.xml
%{_datadir}/glib-2.0/schemas/apps.gnome-mplayer.preferences.*.xml
%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml
%{_libdir}/nautilus/extensions*/*.so
%{_mandir}/man1/%{name}.1*


%changelog

* Mon Apr 16 2012 luigiwalser <luigiwalser> 1.0.6-1.mga2
+ Revision: 230990
- 1.0.6

* Sat Jan 14 2012 fwang <fwang> 1.0.5-4.mga2
+ Revision: 195877
- update file list
- enable gtk3
- build gtk3 flavour

* Fri Jan 13 2012 fwang <fwang> 1.0.5-3.mga2
+ Revision: 195758
- really disable gtk3
- disable nautilus ext, so that we do not need gtk3

* Fri Jan 13 2012 fwang <fwang> 1.0.5-2.mga2
+ Revision: 195747
- drop gconf req

* Fri Jan 13 2012 fwang <fwang> 1.0.5-1.mga2
+ Revision: 195740
- update br
- new version 1.0.5

* Mon Jul 18 2011 ahmad <ahmad> 1.0.4-1.mga2
+ Revision: 125787
- Update to 1.0.4
- Build with --enable-gtk3
- Covert the BR to pkgconfig style

* Fri Jun 10 2011 ahmad <ahmad> 1.0.3-1.mga2
+ Revision: 103075
- Update to 1.0.3
- Rediff patch0 (format string)
- Drop patch1,2 not needed any more
- Add BR libpulseaudio-devel
- Handle installing the docs differently
- Update the file list

* Sun Jan 16 2011 anssi <anssi> 1.0.0-1.mga1
+ Revision: 20087
- new version
- rediff linking patch
- remove old scripts
- imported package gnome-mplayer

